scala.tools.cmd.Reference

# Accumulators

#### class Accumulators extends AnyRef

Source
  Reference.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Accumulators
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Accumulators()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Accumulators to any2stringadd[Accumulators] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Accumulators, B)

   Implicit information
     This member is added by an implicit conversion from Accumulators to ArrowAssoc[Accumulators] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def addBinary(s: String): Unit

7. #### def addExpand(opt: String, expanded: List[String]): Unit

8. #### def addHelp(f: () ⇒ String): Unit

9. #### def addHelpAlias(f: () ⇒ String): Unit

10. #### def addHelpDefault(f: () ⇒ String): Unit

11. #### def addHelpEnvDefault(name: String): Unit

12. #### def addUnary(s: String): Unit

13. #### lazy val all: collection.immutable.List[String]

14. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

15. #### lazy val binary: collection.immutable.List[String]

16. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

17. #### def defaultFormatStr: String

18. #### def ensuring(cond: (Accumulators) ⇒ Boolean, msg: ⇒ Any): Accumulators

    Implicit information
      This member is added by an implicit conversion from Accumulators to Ensuring[Accumulators] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: (Accumulators) ⇒ Boolean): Accumulators

    Implicit information
      This member is added by an implicit conversion from Accumulators to Ensuring[Accumulators] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean, msg: ⇒ Any): Accumulators

    Implicit information
      This member is added by an implicit conversion from Accumulators to Ensuring[Accumulators] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### def ensuring(cond: Boolean): Accumulators

    Implicit information
      This member is added by an implicit conversion from Accumulators to Ensuring[Accumulators] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

22. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

24. #### lazy val expansionMap: Map[String, List[String]]

25. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

26. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Accumulators to StringFormat[Accumulators] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

27. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

28. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

29. #### def helpFormatStr: String

30. #### lazy val helpMsg: String

31. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

32. #### lazy val longestArg: Int

33. #### def mapHelp(g: (String) ⇒ String): Unit

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### lazy val unary: collection.immutable.List[String]

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### def →[B](y: B): (Accumulators, B)

    Implicit information
      This member is added by an implicit conversion from Accumulators to ArrowAssoc[Accumulators] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Accumulators to any2stringadd[Accumulators]

### Inherited by implicit conversion StringFormat from Accumulators to StringFormat[Accumulators]

### Inherited by implicit conversion Ensuring from Accumulators to Ensuring[Accumulators]

### Inherited by implicit conversion ArrowAssoc from Accumulators to ArrowAssoc[Accumulators]

### Ungrouped